Public Member Functions | Protected Member Functions | Protected Attributes

# TileIterator Class Reference

Base class for tile iterators. More...

`#include <tilearea_type.h>`

Inheritance diagram for TileIterator:

## Public Member Functions
virtual | ~TileIterator ()
| Some compilers really like this.
| operator TileIndex () const
| Get the tile we are currently at.
virtual TileIterator & | operator++ ()=0
| Move ourselves to the next tile in the rectange on the map.
virtual TileIterator * | Clone () const =0
| Allocate a new iterator that is a copy of this one.
## Protected Member Functions
| TileIterator (TileIndex tile)
| Initialise the iterator starting at this tile.
## Protected Attributes
TileIndex | tile
| The current tile we are at.

## Detailed Description

Base class for tile iterators.

Definition at line 66 of file tilearea_type.h.

## Constructor & Destructor Documentation

TileIterator::TileIterator | ( | TileIndex | tile | ) | `[inline, protected]`

Initialise the iterator starting at this tile.

Parameters:

  | tile | The tile we start iterating from.

Definition at line 74 of file tilearea_type.h.

virtual TileIterator::~TileIterator | ( |  | ) | `[inline, virtual]`

Some compilers really like this.

Definition at line 80 of file tilearea_type.h.

## Member Function Documentation

TileIterator::operator TileIndex | ( |  | ) | const`[inline]`

Get the tile we are currently at.

Returns:
  The tile we are at, or INVALID_TILE when we're done.

Definition at line 88 of file tilearea_type.h.

References tile.

The documentation for this class was generated from the following file:

- src/tilearea_type.h